summaryrefslogtreecommitdiffstats
path: root/jjb/prediction/docu-verify.sh
diff options
context:
space:
mode:
authorMatthewLi <matthew.lijun@huawei.com>2015-04-22 10:41:02 +0800
committerMatthewLi <matthew.lijun@huawei.com>2015-04-30 21:05:49 +0800
commit10a0b24d9f634213377a447309fc626acf0dcd3c (patch)
tree5ec44794a8fd0b600ce818a54f5fbf00b9ffb252 /jjb/prediction/docu-verify.sh
parent2d5841eb74688afbec3ef571199bf2a8d4c09276 (diff)
add build scripts and amend jjb for prediction project
JIRA PREDICTION-1 Change-Id: I07e671d5e821c5dc7d6275a0fbf9b623a4c6aff8 Signed-off-by: MatthewLi <matthew.lijun@huawei.com>
Diffstat (limited to 'jjb/prediction/docu-verify.sh')
-rw-r--r--jjb/prediction/docu-verify.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/jjb/prediction/docu-verify.sh b/jjb/prediction/docu-verify.sh
new file mode 100644
index 000000000..3221dc2d3
--- /dev/null
+++ b/jjb/prediction/docu-verify.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+set -e
+set -o pipefail
+project="$(git remote -v | head -n1 | awk '{{print $2}}' | sed -e 's,.*:\(.*/\)\?,,' -e 's/\.git$//')"
+export PATH=$PATH:/usr/local/bin/
+
+git_sha1="$(git rev-parse HEAD)"
+docu_build_date="$(date)"
+
+files=()
+while read -r -d ''; do
+ files+=("$REPLY")
+done < <(find * -type f -iname '*.rst' -print0)
+
+for file in "${{files[@]}}"; do
+
+ file_cut="${{file%.*}}"
+ gs_cp_folder="${{file_cut}}"
+
+ # sed part
+ sed -i "s/_sha1_/$git_sha1/g" $file
+ sed -i "s/_date_/$docu_build_date/g" $file
+
+ # rst2html part
+ echo "rst2html $file"
+ rst2html $file > $file_cut".html"
+
+ echo "rst2pdf $file"
+ rst2pdf $file -o $file_cut".pdf"
+
+done
+